Bug 1419035 - Review Request: perl-Types-Path-Tiny - Path::Tiny types and coercions for Moose and Moo
Summary: Review Request: perl-Types-Path-Tiny - Path::Tiny types and coercions for Moo...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 13:50 UTC by Ralf Corsepius
Modified: 2017-02-24 09:03 UTC (History)
2 users (show)

Fixed In Version: perl-Types-Path-Tiny-0.005-1.fc26 perl-Types-Path-Tiny-0.005-1.fc25 perl-Types-Path-Tiny-0.005-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-24 09:03:13 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Ralf Corsepius 2017-02-03 13:50:21 UTC
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Types-Path-Tiny.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Types-Path-Tiny-0.005-1.fc26.src.rpm
Description:
This module provides Path::Tiny types for Moose, Moo, etc.

Fedora Account System Username:corsepiu

Comment 1 Jitka Plesnikova 2017-02-06 12:39:26 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-Types-Path-Tiny-0.005-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(:VERSION) >= 5.8.1
      1 perl(Path::Tiny)
      1 perl(Type::Library) >= 0.008
      1 perl(Type::Utils)
      1 perl(Types::Standard)
      1 perl(Types::TypeTiny) >= 0.004
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-Types-Path-Tiny-0.005-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Types::Path::Tiny) = 0.005
      1 perl-Types-Path-Tiny = 0.005-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Types-Path-Tiny*
perl-Types-Path-Tiny.noarch: W: spelling-error Summary(en_US) coercions -> coercion, coercion's, coercion s
perl-Types-Path-Tiny.src: W: spelling-error Summary(en_US) coercions -> coercion, coercion's, coercion s
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Rpmlint is ok

The package looks good.
Approved.

Comment 2 Ralf Corsepius 2017-02-08 18:01:01 UTC
Thanks, apparently I missed this approval :-)

Comment 3 Gwyn Ciesla 2017-02-08 18:34:54 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Types-Path-Tiny


Note You need to log in before you can comment on or make changes to this bug.